### Class

# Phosh IdleManager

#### Description [src]

    final class Phosh.IdleManager : GObject.Object
    {
      /* No available fields */
    }

The idle manager singleton

This uses ext_idle_notification_v1 Wayland protocol to implement mutter’s org.gnome.Mutter.IdleMonitor DBus interface. Since we don’t have per monitor information we only care about core.

Each DBus watch either notifies on idle or on activity.

#### Ancestors

- GObject

#### Functions

###### phosh_idle_manager_get_default

Get the idle manager singleton.

#### Instance methods

###### phosh_idle_manager_reset_timers

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct PhoshIdleManagerClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.